Requirements

Ubuntu/Debian Linux

You can install them using apt-get:

 apt-get install ant swig libxine-dev libx11-dev libxt-dev 
   libxcb-xv0-dev libxcb-shm0-dev libxcb-shape0-dev libdvdread-dev

Mac OS X

For libdvdread, you can compile it yourself, use MacPorts, or Fink:

 fink install libdvdread.3

To compile xine, unpack xine-lib-1.1.X.tar.bz, go into main folder and execute:

 ./configure --enable-macosx-video --enable-coreaudio ; make ; sudo make install

NOTE: Compilation of xine-lib on 32-bit Intel Macs fails using the Developer Tools from XCode 3.0. If you get an error compiling xine about "absolute addressing used...", you can use XCode 3.1 or higher.

NOTE: xine-lib from 1.1.16 - 1.1.16.2 won't compile on OS X. A patch has been submitted to xine-dev mailing list.